package eu.eudat.dao.entities;

import eu.eudat.entities.Dataset;
import eu.eudat.entities.Invitation;
import eu.eudat.models.criteria.DatasetCriteria;
import eu.eudat.models.criteria.InvitationCriteria;
import eu.eudat.queryable.QueryableList;

import java.util.UUID;

/**
 * Created by ikalyvas on 1/4/2018.
 */
public interface InvitationDao {

    QueryableList<Invitation> getWithCriteria(InvitationCriteria criteria);

    Invitation createOrUpdate(Invitation item);

    Invitation find(UUID id);

    Long count();
}
