import {
    FacebookLoginConfiguration,
    GoogleLoginConfiguration,
    LinkedInConfiguration,
    TwitterLoginConfiguration,
} from './LoginProviderConfiguration';
import { LoginOptions } from './LoginOptions';
export class LoginServiceConfiguration {
    public loginProviders: LoginOptions[];
    public facebookConfiguration?: FacebookLoginConfiguration;
    public googleConfiguration?: GoogleLoginConfiguration;
    public twitterConfiguration?: TwitterLoginConfiguration;
    public linkedInConfiguration?: LinkedInConfiguration;
}